#ui-scripts/09.associate-students.sh: Auto Generated User Interface to AMC command line script: temp/amc-scripts/AMC-association-auto.sh


source global-mill-settings.sh
source header.sh
source config/project-mill-settings.sh


xtra_options=""



write_log Start


#	AMC-association-auto: auto generated script

#	SCRIPT:BEGIN

 	auto-multiple-choice association-auto                                                                                 \
${xtra_options}                                                                                                         \
       --data $project_data_dir                                                                                          \
       --notes-id $association_amc_code_id                                                                                                    \
       --pre-association                                                                                                \
       --liste $students_file                                                                                       \
       --liste-key $students_key                                                                                                  \
       --debug ./$debug_log                                                                                                 \

#	OPTIONS:END



#	OPTIONS:LIST:BEGIN

#       --data project-data-dir\
#       --notes-id id\
#       --pre-association\
#       --liste students-list.csv\
#       --encodage-liste list-encoding\
#       --liste-key key\
#       --debug file.log\

#	OPTIONS:LIST:END

#	SYNOPSIS
#	auto-multiple-choice association-auto --data project-data-dir --notes-id id --liste students-list.csv [--encodage-liste list-encoding] --liste-key key
#	
#	DESCRIPTION
#	The AMC-association-auto.pl command associates students with their answer sheet (when there are no errors from students when coding their student number
#	and no error during data capture). See the section called “Identification of the students” from English user documentation for details.
#	
#	--data project-data-dir
#	gives the directory where data files are (see for example AMC-prepare(1)).
#	
#	--notes-id id
#	gives the identification string of the code provided for student numbers (command AMCcode in the LaTeX source file).
#	
#	--pre-association
#	if used, the --notes-id option is ignored and the automatic association is made from the pre-association data (command AMCassociation in the LaTeX
#	source file).
#	
#	--liste students-list.csv
#	gives the students list.
#	
#	--encodage-liste list-encoding
#	gives the students list file encoding (default is utf-8).
#	
#	--liste-key key
#	gives the column name where to find the student number in the students list.
#	
#	--debug file.log
#	gives a file to fill with debugging information.
#	
#	AUTHORS
write_log End

