#	read keywords/variables from AMC options.xml and cf.default.xml
#		set the values for these keywords from these files
#		useful in using amc-clit




function grab_keywords () {
#	$1: 	input xml file
#	$2:	ouput file of tags in input xml file
#			xmllint helps in processing xml files
#			read all keywords/nodes from options file, replace
#			lines like /du etc by blank ones
	echo du |  xmllint --shell $1|sed  -e 's@^/.*@@p' |sed -e  '/^$/d'|sed -e 's/ //g' |sed -e '/projetAMC/d'|sed -e '/AMC/d' > $2
}

function set_keywords () {
#	$1: keywords file
#	$2: xml file to look for keywords as tags
	while read eachkeyword 
	do
		thatvalue=$(xmllint --xpath "string(//$eachkeyword)" $2)
		#eval ${eachkeyword}=$(echo -ne \""${thatvalue}"\")
		echo $eachkeyword=\"$thatvalue\" >> config/key-vals.sh
	done < $1
}

echo "" > config/key-vals.sh
grab_keywords  $HOME/.AMC.d/cf.default.xml config/keywords-AMC.txt
grab_keywords  options.xml  config/keywords-Project.txt

set_keywords config/keywords-AMC.txt $HOME/.AMC.d/cf.default.xml
set_keywords config/keywords-Project.txt options.xml
