#!/bin/bash

if [ "$#" -eq 0 ]; then
   echo  "Error: Give project name as first argument"
	exit
fi

### detect name of directory where the amc-clit files reside
	cwd=$(pwd)
	nfields=$(echo $cwd |tr -c -d "/" |wc -m )
	amc_clit_home=$(echo $cwd |cut -d "/" -f $((nfields)))
	#echo $amc_clit_home

projectdir=$1

# check for existence of this project, if not create and write to it

cd ../..

	if [ ! -d "$projectdir" ]; then
		mkdir -p $projectdir
		cd $projectdir									# leave the job of copying files to 01.new-project.sh
	else
		cd $projectdir
	fi
# you will now be in project directory

# function to write to log file
#	$1: tag like start/end

function write_log () {
	echo "$0:$1:$(date)" >> debug.log
}

